.code {
    margin: 0;
    display: flex;
    flex-wrap: wrap;

    .editor {
        height: 350px;
        width: 33.333333%;
        padding: 0;
        padding-left: 15px;
        background: $editor-padding-color;

        &__header {
            background: rgba(0,0,0,0.5);
            padding: 5px 10px;
            border-bottom: 1px solid $gray-transparent;

            button{
                padding: 2px 5px;
            }

            h3 {
                flex-grow: 1;
                margin-left: 10px;
                color: $lightgray;
            }
        }

        &__code {
            height: 86%;
            background: $editor-bg-color;
        }

        &__gutter {
            float: left;
            width: 20px;
            color: $editor-gutter-text-color;
            height: 100%;
            padding-top: 3px;

            span{
                padding: 0 5px;
            }
        }

        &__input {
            width: calc(100% - 20px);
            height: 100%;
            border: none;
            background: transparent;
            resize: none;
        }
    }
}

@media(min-width: 768px) {

    .settings-right-order,
    .settings-left-order {
        .code_and_result {
            flex-direction: row-reverse;

            .code {
                flex-direction: column;
                width: 500px;

                .editor {
                    width: auto;
                    height: auto;
                    flex: 1;
                }
            }
        }
    }

    .settings-left-order {
        .code_and_result {
            flex-direction: row;

            .editor {
                padding: 0 20px 0 0;
            }
        }
    }
}